List all ChargesAsk AIpost https://api.tap.company/v2/charges/listThis endpoint returns a list of all previously created charges, with the most recent charges appearing first.Body ParamsperiodobjectRetrieve charges for a selected periodperiod objectstatusstringRetrieve the selected list of charges info by charge status. Values can be: INITIATED, IN_PROGRESS, ABANDONED, CANCELLED, FAILED, DECLINED, RESTRICTED, CAPTURED, VOID, TIMEDOUT or UNKNOWNsourcesarray of stringsArray of sources (you can specify the list of Source ID's to retrieve).sourcesADD stringpayment_methodsarray of stringsArray of payment methods (you can specify the list of payment method Source ID's to retrieve).payment_methodsADD stringcustomersarray of stringsArray of customers (you can specify the list of Customer ID's to retrieve).customersADD stringchargesarray of stringsArray of charges (you can specify the list of Source ID's to retrieve).chargesADD stringstarting_afterstringA cursor for use in pagination. The starting_after parameter takes a charge ID that determines your position in the list. For example, if your list request returns 50 charges that end with chg_foo, you can use starting_after=chg_foo in your next call to retrieve the next page of the list.charge_createdstringCreated date (charge created date), Measured in Unix Epoch Timestamp (milliseconds).mobilestringFilter the results based on customer mobile numberemailstringfilter the results based on customer emaillimitstringDefaults to 25The maximum number of charges to return in a single call. Default: 25; Maximum: 50.orderstringenumSort the results Ascending or Descending by datechronologicalreverse_chronologicalAllowed:chronologicalreverse_chronologicalorder_bystringDefaults to dateApplying the sorting based onmetadatastringFilter the results based on meta data valuescurrencystringFilter the charges based on charge currencypayoutsobjectRetrieve charges based on payoutspayouts objectreferenceobjectreference objectResponses 200200 400400Updated 10 months ago